GENL(1)

NAME
genl - generic netlink

SYNOPSIS
genl

genl list

genl monitor <family> [multicast group]

DESCRIPTION
The genl utility provides user access to generic netlink protocols.

The following commands are available:

list (default)
    Lists all available generic netlink protocols, and presents its details:

    operations
        Id of the operation if any and associated capabilities

    multicast groups
        Id of the available multicast group if any and it associated name

monitor <family> [multicast group]
    Connect to the family protocol and subscribe to the multicast group then print the received messages in a readable format if the protocol is known. So far only "nlctrl" and "nlsysevent" are known. If no multicast group are provided then all the groups are subscribed to.

SEE ALSO
genetlink(4), netlink(4)